Bug 1337721 - virt-manager spice-gtk GL rendering weirdness with 2 simultaneous VMs
Summary: virt-manager spice-gtk GL rendering weirdness with 2 simultaneous VMs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: spice-gtk (Show other bugs)
(Show other bugs)
Version: 24
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc-Andre Lureau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-19 22:59 UTC by Cole Robinson
Modified: 2017-01-16 19:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-16 19:00:48 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cole Robinson 2016-05-19 22:59:46 UTC
Configure two F24 VMs with spice gl support. Start one VM in virt-manager, log in, verify it's working. Leave the window open, start VM number 2, log in, verify it's working.

The still open VM number 1 display is now totally responsive; the last display image is stuck on screen. Resize the window and observe the graphical tearing.

If you close both VM windows, the next VM that is opened will work fine, VM 1 or VM 2. However open the other, and the first one goes dead again.

Note having 1 VM open in virt-manager and 1 VM open in virt-viewer works completely fine... so maybe this is some collision within a single process.

Tested both F24 spice-gtk version, and spice-gtk git

Comment 1 Marc-Andre Lureau 2016-05-20 15:19:31 UTC
sent patches to ML (3-7);
https://lists.freedesktop.org/archives/spice-devel/2016-May/029284.html

Comment 2 Cole Robinson 2016-05-20 15:22:39 UTC
Nice turnaround time!

Comment 3 Cole Robinson 2017-01-16 19:00:48 UTC
These patches are in 0.32 which has been in f24 for a while


Note You need to log in before you can comment on or make changes to this bug.